commit 4d78af920d0357ee61a08c81fe67e6f7a99e1329
Author: smoldas15 <jan.smolar@seznam.cz>
Date:   Tue May 12 18:32:22 2020 +0200

    Re #8028: Napsání Nápovědy
    
    - CZ, EN a DE verze nápovědy

diff --git a/fe/fulltextsearch/src/assets/i18n/cz-lang.json b/fe/fulltextsearch/src/assets/i18n/cz-lang.json
index d9d54f9..2487869 100644
--- a/fe/fulltextsearch/src/assets/i18n/cz-lang.json
+++ b/fe/fulltextsearch/src/assets/i18n/cz-lang.json
@@ -53,9 +53,9 @@
   "app-help": {
     "card-header": "Nápověda",
     "upload-title": "Nahrávání souborů",
-    "upload-text": "Praesent in <b>mauris</b> eu <br>tortor porttitor <ul><li>jedna</li><li>dva</li><li>tri</li></ul>accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
+    "upload-text": "Nahrávání souborů probíhá na stránce <b>Nahrát</b>, která je dostupná z hlavní lišty.<br><br>Tlačítko <b>Vybrat soubory</b> slouží ke zvolení souborů k nahrání. <br><br>Tlačítko <b>Nahrát</b> zvolené soubory nahraje do webové aplikace.<br><br><b>Soubor formátu XML a jeho původní obrazový soubor, ze kterého byl vytvořen, je nutné nahrávat společně a se stejným názvem!</b><br><br>Lze nahrávat libovolný počet souborů najednou.",
     "search-title": "Vyhledávání",
-    "search-text": "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Et harum quidem rerum facilis est et expedita\n          distinctio. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Etiam egestas\n          wisi a erat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nulla non arcu lacinia neque faucibus\n          fringilla. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Quis autem vel eum iure reprehenderit\n          qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas\n          nulla pariatur? Aliquam erat volutpat. Aliquam id dolor.",
+    "search-text": "Vyhledávání probíhá na stránce <b>Vyhledat</b>, která je dostupná z hlavní lišty.<br><br>Hledaný výraz napište do textového pole a potvrďte tlačítkem <b>Vyhledat</b>. Po dokončení vyhledávání se zobrazí nalezené výsledky.<br><br>Zaškrtávací tlačítko <b>???</b> slouží k zapnutí/vypnutí kontroly překlepů. Když je tlačítko zaškrtnuté, tak při nenalezení žádného výskytu hledaného výrazu se vyhledá výraz jemu podobný do maximální vzdálenosti slov 2.<br><br>Hledaný výraz může obsahovat:<ul><li><b>Symbol *</b> zastupuje žádný nebo libovolný počet znaků.<ul><li>Například: <b>tes*</b> – vyhledá všechna slova začínající slovem <b>tes</b></li></ul></li><li><b>Symbol ?</b> zastupuje právě jeden znak.<ul><li>Například: <b>tes?</b> – vyhledá všechna slova začínající slovem <b>tes</b> a následována právě jedním znakem</li></ul></li><li><b>Symbol ~</b> na konci hledaného výrazu slouží k vyhledání všech výrazů do určité maximální vzdálenosti od hledaného výrazu.<ul><li> Například: <b>test~2</b> – vyhledá slovo <b>test</b> a všechna slova jemu blízká do maximální vzdálenosti slov 2</li></ul></li><li><b>Symbol && nebo výraz AND</b> slouží k nalezení dokumentů, kde se vykytuje všechny z hledaných výrazů zároveň.<ul><li> Například: <b>test AND test2</b> – vyhledá všechny dokumenty se slovy <b>test a test2</b> zároveň</li></ul></li><li><b>Symbol ! nebo výraz NOT</b> slouží k nalezení výsledků, kde se zadaný výraz nevyskytuje.<ul><li> Například: <b>test NOT test2</b> – vyhledá všechny výskyty slova <b>test</b>, kde není slovo <b>test2</b></li></ul></li><li><b>Symbol || nebo výraz OR</b> slouží k nalezení dokumentů, kde se vykytuje alespoň jeden z hledaných výrazů.<ul><li>Například: <b>test OR test2</b> – vyhledá všechny dokumenty se slovem <b>test</b> nebo <b>test2</b> nebo s oběma zároveň</li></ul></li></ul>Speciální symboly, které hledaný výraz nesmí obsahovat:  <b>+  -  &&  ||  !  (  )  {  }  [  ]  ^  “  ~  *  ?  :  /</b><br><br>Pokud je nutné použít některý z těchto symbolů, tak je nutné před něj přidat tento symbol:  <b>\\</b>",
     "contact-admin-title": "Kontakt na administrátora"
   }
 }
diff --git a/fe/fulltextsearch/src/assets/i18n/de-lang.json b/fe/fulltextsearch/src/assets/i18n/de-lang.json
index 38370f6..c4cd055 100644
--- a/fe/fulltextsearch/src/assets/i18n/de-lang.json
+++ b/fe/fulltextsearch/src/assets/i18n/de-lang.json
@@ -52,10 +52,10 @@
   },
   "app-help": {
     "card-header": "Hilfe",
-    "upload-title": "Nahrávání souborů - přeložit DE",
-    "upload-text": "Praesent in <b>mauris</b> eu <br>tortor porttitor <ul><li>jedna</li><li>dva</li><li>tri</li></ul>accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
-    "search-title": "Vyhledávání - přeložit DE",
-    "search-text": "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Et harum quidem rerum facilis est et expedita\n          distinctio. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Etiam egestas\n          wisi a erat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nulla non arcu lacinia neque faucibus\n          fringilla. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Quis autem vel eum iure reprehenderit\n          qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas\n          nulla pariatur? Aliquam erat volutpat. Aliquam id dolor.",
+    "upload-title": "Datei-Upload",
+    "upload-text": "Das Hochladen von Dateien erfolgt auf der Seite <b>Hochladen</b>, auf die über die Hauptleiste zugegriffen werden kann.<br><br>Mit der Schaltfläche <b>Dateien auswählen</b> können Sie auswählen, welche Dateien hochgeladen werden sollen.<br><br>Mit der Schaltfläche <b>Hochladen</b> werden ausgewählte Dateien in die Webanwendung hochgeladen.<br><br><b> Die XML-Datei und ihre Quellbilddatei müssen zusammen und mit derselben hochgeladen werden name!</b><br><br>Sie können beliebig viele Dateien gleichzeitig hochladen.",
+    "search-title": "Suchen",
+    "search-text": "Die Suche wird auf der Seite <b>Suche</b> durchgeführt, auf die über die Hauptleiste zugegriffen werden kann.<br><br>Geben Sie Ihren Suchausdruck in das Textfeld ein und bestätigen Sie ihn mit der <b>Suche</b> Taste. Wenn die Suche abgeschlossen ist, werden die Ergebnisse angezeigt.<br><br>Verwenden Sie das Kontrollkästchen <b>???</b>, um die Rechtschreibprüfung ein- und auszuschalten. Wenn diese Option aktiviert ist und kein Ergebnis des Suchausdrucks gefunden wird, wird stattdessen ein ähnlicher Ausdruck bis zum maximalen Abstand von 2 zwischen den Wörtern gesucht.<br><br>Der Suchausdruck kann Folgendes enthalten:<ul><li><b>Symbol *</b> steht für Null oder eine beliebige Anzahl von Zeichen.<ul><li>Beispiel: <b>tes *</b> - sucht nach allen Wörtern, die mit <b>tes</b> beginnenli</li></ul></li><li><b>Symbol ?</b> repräsentiert genau ein Zeichen.<ul><li>Zum Beispiel: <b>tes ?</b> - findet alle Wörter beginnend mit <b>tes</b> und gefolgt von genau einem Zeichen</li></ul></li><li><b>Symbol ~</b> am Ende des Suchausdrucks wird zum Suchen verwendet alle Wörter innerhalb eines bestimmten maximalen Abstands zwischen ihnen und dem Suchausdruck.<ul><li> Zum Beispiel: <b>test ~ 2</b> - findet das Wort <b>test</b> und alle Wörter in der Nähe von bis zu einem maximalen Abstand von 2 </li></ul></li><li><b>Symbol && und der Ausdruck AND</b> werden verwendet, um Dokumente zu finden, in denen sich ALLE Suchausdrücke befinden.<ul><li>Zum Beispiel: <b>test AND test2</b> - findet al l Dokumente mit den Worten <b>test</b> und <b>test2</b></li></ul></li><li><b>Symbol ! oder der Ausdruck NOT</b> wird verwendet, um Ergebnisse zu finden, bei denen der angegebene Ausdruck nicht vorkommt.<ul><li>Beispiel: <b>test NOT test2</b> - findet alle Vorkommen des Wortes <b>test</b>, wobei das Wort <b>test2</b> nicht lautet.</li></ul></li><li><b>Symbol || oder der Ausdruck OR</b> wird verwendet, um Dokumente zu finden, bei denen MINDESTENS EINER des Suchausdrucks lautet.<ul><li>Beispiel: <b>test OR test2</b> - findet alle Dokumente mit dem Wort <b>test</b> oder <b>test2</b> oder beides</li></ul></ul></ul>Spezielle Symbole, die ein Suchausdruck nicht enthalten darf: <b>  +  -  &&  ||  !  (  )  {  }  [  ]  ^  “  ~  *  ?  :  /  </b><br><br>Wenn Sie eines dieser Symbole verwenden müssen, müssen Sie dieses Symbol davor hinzufügen: <b>\\</b>",
     "contact-admin-title": "Administratorkontakt"
   }
 }
diff --git a/fe/fulltextsearch/src/assets/i18n/en-lang.json b/fe/fulltextsearch/src/assets/i18n/en-lang.json
index 0c88f37..697da0d 100644
--- a/fe/fulltextsearch/src/assets/i18n/en-lang.json
+++ b/fe/fulltextsearch/src/assets/i18n/en-lang.json
@@ -52,10 +52,10 @@
   },
   "app-help": {
     "card-header": "Help",
-    "upload-title": "Nahrávání souborů - přeložit EN",
-    "upload-text": "Praesent in <b>mauris</b> eu <br>tortor porttitor <ul><li>jedna</li><li>dva</li><li>tri</li></ul>accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
-    "search-title": "Vyhledávání - přeložit EN",
-    "search-text": "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Et harum quidem rerum facilis est et expedita\n          distinctio. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Etiam egestas\n          wisi a erat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nulla non arcu lacinia neque faucibus\n          fringilla. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Quis autem vel eum iure reprehenderit\n          qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas\n          nulla pariatur? Aliquam erat volutpat. Aliquam id dolor.",
+    "upload-title": "File upload",
+    "upload-text": "Uploading files is performed on the <b>Upload</b> page, which is accessible from the main bar.<br><br>The <b>Pick files</b> button is used to select which files to upload.<br><br>The <b>Upload</b> button will upload selected files to the web application.<br><br><b>The XML file and its source image file must be uploaded together and with the same name!</b><br><br>You can upload any number of files at once.",
+    "search-title": "Searching",
+    "search-text": "Searching is performed on the <b>Search</b> page, which is accessible from the main bar.<br><br>Type your search expression in the text box and confirm it with the <b>Search</b> button. When the search is finished, results will be displayed.<br><br>Use the <b>???</b> checkbox to turn spell checking on/off. When checked, if no result of the search expression is found, a similar expression is searched instead up to the maximum distance of 2 between the words.<br><br>The search expression can contain:<ul><li><b>Symbol *</b> represents zero or any number of characters.<ul><li>For example: <b>tes*</b> - searches for all words starting with <b>tes</b></li></ul></li><li><b>Symbol ?</b> represents exactly one character.<ul><li>For example: <b>tes?</b> - finds all words starting with <b>tes</b> and followed by exactly one character</li></ul></li><li><b>Symbol ~</b> at the end of the search expression is used to find all words within a certain maximum distance between them and the search expression.<ul><li>For example : <b> test~2</b> - finds the word <b>test</b> and all words close to it up to a maximum distance of 2</li></ul></li><li><b>The symbol && and the expression AND</b> are used to find documents where ALL of the search expressions are.<ul><li>For example: <b>test AND test2</b> - finds all documents with the words <b>test</b> and <b>test2</b></li></ul></li><li><b> Symbol ! or the expression NOT</b> is used to find results where the specified expression does not occur.<ul><li>For example: <b>test NOT test2</b> - finds all occurrences of the word <b>test</b>, where the word <b>test2</b> is not.</li></ul></li><li><b>Symbol || or the expression OR</b> is used to find documents where AT LEAST ONE of the search expression is.<ul><li>For example: <b>test OR test2</b> - finds all documents with the word <b>test</b> or <b>test2</b> or both</li> </ul></li></ul>Special symbols that a search expression cannot contain: <b>+  -  &&  ||  !  (  )  {  }  [  ]  ^  “  ~  *  ?  :  / </b> <br> <br>If you need to use one of these symbols, you must add this symbol before it: <b>\\</b>",
     "contact-admin-title": "Contact admin"
   }
 }