commit b9ead6a32056749418189f1005ebf65988c6f08a
Author: Ondřej Váně <onry.vane@gmail.com>
Date:   Wed Apr 15 18:11:13 2020 +0200

    Re #7817: Responzivní navigační lišta
    
    - přidání select boxu pro výběr jazyka

diff --git a/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.css b/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.css
index eda6d31..9e16061 100644
--- a/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.css
+++ b/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.css
@@ -98,3 +98,12 @@ mat-toolbar.mat-primary {
 mat-sidenav-content {
   margin-top: 56px;
 }
+
+select {
+  background-color: var(--primary-color);
+  color: white;
+  border-color: var(--primary-color);
+  font-size: 18px;
+  font-weight: bold;
+  font-family: Roboto, "Helvetica Neue", sans-serif;;
+}
diff --git a/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.html b/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.html
index 71a729b..42acfe7 100644
--- a/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.html
+++ b/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.html
@@ -24,9 +24,6 @@
       <a mat-list-item routerLink="help">
         <mat-icon>help</mat-icon>
         Help</a>
-      <a mat-list-item>
-        <mat-icon>translate</mat-icon>
-        EN</a>
     </mat-nav-list>
   </mat-sidenav>
   <mat-sidenav-content>
@@ -51,11 +48,13 @@
       <a mat-button routerLink="browse" *ngIf="!(isHandset$ | async)">Browse</a>
       <a mat-button routerLink="upload" *ngIf="!(isHandset$ | async)">Upload</a>
       <!-- navigation items space -->
-      <div class="space" *ngIf="!(isHandset$ | async)"></div>
+      <div class="space"></div>
       <!-- right navigation items -->
       <a mat-button (click)="openAboutDialog()" *ngIf="!(isHandset$ | async)">About</a>
       <a mat-button routerLink="help" *ngIf="!(isHandset$ | async)">Help</a>
-      <a mat-button *ngIf="!(isHandset$ | async)">EN</a>
+      <select (change)="onLanguageSelect($event)">
+        <option *ngFor="let language of languages">{{language}}</option>
+      </select>
     </mat-toolbar>
     <ng-content></ng-content>
   </mat-sidenav-content>
diff --git a/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.ts b/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.ts
index 2e0cdcc..aa219d4 100644
--- a/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.ts
+++ b/fe/fulltextsearch/src/app/components/layout/main-nav/main-nav.component.ts
@@ -4,6 +4,7 @@ import { Observable } from 'rxjs';
 import { map, shareReplay } from 'rxjs/operators';
 import { AboutDialogComponent } from '../../shared-components/about-dialog/about-dialog.component';
 import {MatDialog} from '@angular/material/dialog';
+import {LoggerService} from '../../../services/logger/logger.service';
 
 @Component({
   selector: 'app-main-nav',
@@ -12,16 +13,25 @@ import {MatDialog} from '@angular/material/dialog';
 })
 export class MainNavComponent {
 
+  languages: string[] = ['EN', 'DE', 'CZ'];
+
   isHandset$: Observable<boolean> = this.breakpointObserver.observe(Breakpoints.Handset)
     .pipe(
       map(result => result.matches),
       shareReplay()
     );
 
-  constructor(private breakpointObserver: BreakpointObserver, public dialog: MatDialog) {}
+  constructor(private breakpointObserver: BreakpointObserver,
+              public dialog: MatDialog,
+              private LOGGER: LoggerService) {}
 
   openAboutDialog() {
     this.dialog.open(AboutDialogComponent, { panelClass: 'custom-dialog-container' });
   }
 
+  onLanguageSelect(event) {
+    console.log(event.target.value);
+    this.LOGGER.error('Selected language ' + event.target.value);
+  }
+
 }
diff --git a/fe/fulltextsearch/src/app/components/pages/browse/browse.component.css b/fe/fulltextsearch/src/app/components/pages/browse/browse.component.css
index 645320c..ce126db 100644
--- a/fe/fulltextsearch/src/app/components/pages/browse/browse.component.css
+++ b/fe/fulltextsearch/src/app/components/pages/browse/browse.component.css
@@ -1,6 +1,6 @@
 .text-box{
   width: 80%;
-  margin: 20px auto;
+  margin: auto;
 }
 
 .card-header {
diff --git a/fe/fulltextsearch/src/app/components/pages/upload/upload.component.css b/fe/fulltextsearch/src/app/components/pages/upload/upload.component.css
index e709bf9..8e3fb10 100644
--- a/fe/fulltextsearch/src/app/components/pages/upload/upload.component.css
+++ b/fe/fulltextsearch/src/app/components/pages/upload/upload.component.css
@@ -5,7 +5,6 @@ h1 {
 .text-box {
   margin: auto;
   width: 80%;
-  padding: 10px;
 }
 
 input {